"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "info", {
    enumerable: true,
    get: ()=>info
});
const _middlewares = require("../middlewares");
const _utils = require("../utils");
const _commander = require("commander");
const _path = require("path");
const _promises = require("fs/promises");
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
const _boxen = /*#__PURE__*/ _interopRequireDefault(require("boxen"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const info = (0, _commander.createCommand)().name('info').description('display infos about your tscord project').action(async ()=>{
    if (!await (0, _middlewares.checkLocation)()) return;
    const packageRaw = await (0, _promises.readFile)((0, _path.resolve)() + '/package.json', 'utf-8'), packageJson = JSON.parse(packageRaw);
    const message = (0, _boxen.default)((packageJson.description ? `${_chalk.default.bold('description:')} ${packageJson.description}\n` : '') + (packageJson.author ? `${_chalk.default.bold('author:')} ${packageJson.author}\n` : '') + `${_chalk.default.bold('project version:')} ${_chalk.default.bgBlack(packageJson.version)}\n` + `${_chalk.default.bold('tscord version:')} ${_chalk.default.bgBlack(await (0, _utils.getTscordVersion)())}\n` + `${_chalk.default.bold('project location:')} ${_chalk.default.gray(process.cwd())}`, {
        title: _chalk.default.bold.greenBright(packageJson.name),
        titleAlignment: 'center',
        padding: 1,
        borderStyle: 'round'
    });
    _utils.logger.newLine();
    _utils.logger.log(message);
    _utils.logger.newLine();
});
