"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _config = require("../../config");
const _utils = require("../../utils");
const _boxen = /*#__PURE__*/ _interopRequireDefault(require("boxen"));
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
const _commander = require("commander");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const _default = (0, _commander.createCommand)().name('info').description('get all info on a plugin').argument('<name>', 'name of the plugin you want to get info on').action(async (query)=>{
    _utils.logger.newLine();
    const version = query.split('@')[1] || 'latest';
    const name = query.split('@')[0];
    const remotePlugin = await (0, _utils.getPluginFromMonorepo)(name, version);
    if (remotePlugin) {
        const pluginUrl = `https://github.com/${_config.repositories.plugins.owner}/${_config.repositories.plugins.repo}/tree/${_config.repositories.plugins.branch}/${name}/`;
        const message = (0, _boxen.default)(`${_chalk.default.bold('id:')} ${_chalk.default.italic.greenBright(name)}\n` + `${_chalk.default.bold('description:')} ${remotePlugin.description}\n` + `${_chalk.default.bold('author:')} ${remotePlugin.author}\n` + `${_chalk.default.bold('version:')} ${_chalk.default.bgBlack(remotePlugin.version)}\n` + `${_chalk.default.bold('tscord required version:')} ${_chalk.default.bgBlack(remotePlugin.tscordRequiredVersion)}\n` + `${_chalk.default.bold('link:')} ${_chalk.default.gray(pluginUrl)}`, {
            title: _chalk.default.bold.greenBright(remotePlugin.name),
            titleAlignment: 'center',
            padding: 1,
            borderStyle: 'round'
        });
        _utils.logger.log(message);
    } else _utils.logger.failure('Plugin not found.');
    _utils.logger.newLine();
});
