"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _config = require("../../config");
const _utils = require("../../utils");
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
const _commander = require("commander");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const _default = (0, _commander.createCommand)().name('list').description('list all official plugins').option('-i, --installed', 'list only installed plugins').option('-l, --link', 'put the link of each plugin right to its name').action(async (options)=>{
    _utils.logger.newLine();
    const plugins = await (0, _utils.getPluginsFromMonorepo)();
    let pluginCount = 0;
    for (const pluginName of plugins){
        const localPlugin = await (0, _utils.getLocalPlugin)(pluginName);
        if (options.installed && !localPlugin) continue;
        const pluginUrl = `https://github.com/${_config.repositories.plugins.owner}/${_config.repositories.plugins.repo}/tree/${_config.repositories.plugins.branch}/plugins/${pluginName}/`;
        const message = `◦${localPlugin ? _chalk.default.green(' [installed]') : ''} ` + _chalk.default.bold.greenBright(pluginName) + `${options.link ? ` (${pluginUrl})` : ''}`;
        _utils.logger.log(message);
        pluginCount++;
    }
    _utils.logger.newLine();
    _utils.logger.log(_chalk.default.gray.italic(`Found ${_chalk.default.bold(pluginCount)} plugins.`));
    _utils.logger.newLine();
});
