"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "default", {
    enumerable: true,
    get: ()=>_default
});
const _middlewares = require("../../middlewares");
const _utils = require("../../utils");
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
const _commander = require("commander");
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const _default = (0, _commander.createCommand)().name('uninstall').description('uninstall a plugin').argument('<name>', 'plugin name you want to uninstall').action(async (pluginName)=>{
    if (!await (0, _middlewares.checkLocation)()) return;
    _utils.logger.newLine();
    _utils.logger.spinner.start(`Uninstalling plugin ${_chalk.default.bold(pluginName)}...`);
    const localPlugin = await (0, _utils.getLocalPlugin)(pluginName);
    if (localPlugin) {
        const success = await (0, _utils.uninstallPlugin)(pluginName);
        if (success) _utils.logger.success(`Successfully uninstalled ${_chalk.default.bold(pluginName)}`);
        else _utils.logger.failure(`Failed to uninstall ${_chalk.default.bold(pluginName)}`);
    } else {
        _utils.logger.failure(`Plugin ${_chalk.default.bold(pluginName)} does not exist locally.`);
    }
});
