"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "checkVersion", {
    enumerable: true,
    get: ()=>checkVersion
});
const _config = require("../config");
const _request = require("@octokit/request");
const _utils = require("../utils");
const _boxen = /*#__PURE__*/ _interopRequireDefault(require("boxen"));
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const checkVersion = async ()=>{
    const currentVersion = _config.info.version;
    // get latest version from github
    return (0, _request.request)('GET https://raw.githubusercontent.com/{owner}/{repo}/main/package.json', _config.repositories.cli).then((response)=>{
        const json = JSON.parse(response.data);
        const latestVersion = json.version;
        if (!latestVersion) return true;
        if (currentVersion !== latestVersion) {
            _utils.logger.newLine();
            _utils.logger.log((0, _boxen.default)('Run ' + _chalk.default.bold.bgBlack(` npm i -g ${_config.info.name}@${latestVersion} `) + ' to update to the latest version', {
                title: _chalk.default.hex('#fc7f03')(`A new version of ${_chalk.default.bold('TSCord CLI')} is available: ${_chalk.default.greenBright(latestVersion)}`),
                titleAlignment: 'center',
                borderStyle: 'round',
                padding: {
                    left: 1,
                    right: 1,
                    top: 0,
                    bottom: 0
                },
                borderColor: '#fc7f03'
            }));
        }
        return true;
    }).catch((_)=>{
        // if we can't access the remote, we return true anyway and don't show anything
        return true;
    });
};
