"use strict";
Object.defineProperty(exports, "__esModule", {
    value: true
});
Object.defineProperty(exports, "logger", {
    enumerable: true,
    get: ()=>logger
});
const _chalk = /*#__PURE__*/ _interopRequireDefault(require("chalk"));
const _ora = /*#__PURE__*/ _interopRequireDefault(require("ora"));
const _logSymbols = /*#__PURE__*/ _interopRequireDefault(require("log-symbols"));
function _interopRequireDefault(obj) {
    return obj && obj.__esModule ? obj : {
        default: obj
    };
}
const logger = {
    isVerbose: false,
    spinner: (0, _ora.default)(),
    log (message) {
        if (this.spinner.isSpinning) this.spinner.stop();
        console.log(message);
    },
    error (message) {
        if (this.spinner.isSpinning) this.spinner.stop();
        console.error(_chalk.default.red(message));
    },
    success (message, addNewLine = true) {
        this.log(`${_logSymbols.default.success} ` + message + (addNewLine ? '\n' : ''));
    },
    failure (message, addNewLine = true, exit = true) {
        this.log(`${_logSymbols.default.error} ` + message + (addNewLine ? '\n' : ''));
        if (exit) process.exit(1);
    },
    newLine (numberOfLines = 1) {
        for(let i = 0; i < numberOfLines; i++){
            this.log('');
        }
    },
    verbose (message) {
        if (this.isVerbose) this.log(message);
    }
};
